import { PropType } from 'vue';
import { ToastMessageOptions } from './VcNotification.types';
declare const _default: import("vue").DefineComponent<{
    message: {
        type: PropType<ToastMessageOptions> | null | undefined;
        default: null;
    };
}, unknown, {
    closeTimeout: number | null;
}, {
    containerClass(): (string | {
        [key: string]: boolean;
    })[];
    iconClass(): (string | {
        'vc-icon-info': boolean;
        'vc-icon-alert': boolean;
        'vc-icon-cross': boolean;
        'vc-icon-checkmark': boolean;
    })[];
    isClosable(): boolean;
}, {
    onCloseClick(): void;
    close(): void;
    clearCloseTimeout(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "close"[], "close", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    message: {
        type: PropType<ToastMessageOptions> | null | undefined;
        default: null;
    };
}>> & {
    onClose?: ((...args: any[]) => any) | undefined;
}, {
    message: ToastMessageOptions;
}>;
export default _default;
